---
title: Negotiation API
description: "The **Negotiation API** gives sellers the ability to proactively send discount offers to buyers who have shown an \"interest\" in their listings. By sending buyers discount offers on listings where they have shown an interest, sellers can increase the velocity of their sales. There are various ways for a buyer to show _interest_ in a listing. For example, if a buyer adds the listing to their **Watch** list, or if they add the listing to their shopping cart and later abandon the cart, they are deemed to have shown an interest in the listing. In the offers that sellers send, they can discount their listings by either a percentage off the listing price, or they can set a new discounted price that is lower than the original listing price. For details about how seller offers work, see [Sending offers to buyers](https://developer.ebay.com/api-docs/sell/static/marketing/offers-to-buyers.html \"\\\\\"Selling\")."
api_version: v1.1.2
api_name: negotiation_api
api_type: REST
api_group: negotiation/api
source_url:
  html: https://developer.ebay.com/develop/api/negotiation/api
  md: https://developer.ebay.com/develop/api/negotiation/api.md
---

# Negotiation API API

The **Negotiation API** gives sellers the ability to proactively send discount offers to buyers who have shown an "interest" in their listings.  
  
By sending buyers discount offers on listings where they have shown an interest, sellers can increase the velocity of their sales.  
  
There are various ways for a buyer to show _interest_ in a listing. For example, if a buyer adds the listing to their **Watch** list, or if they add the listing to their shopping cart and later abandon the cart, they are deemed to have shown an interest in the listing.  
  
In the offers that sellers send, they can discount their listings by either a percentage off the listing price, or they can set a new discounted price that is lower than the original listing price.  
  
For details about how seller offers work, see [Sending offers to buyers](https://developer.ebay.com/api-docs/sell/static/marketing/offers-to-buyers.html "\\"Selling").

## API Information

**Title:** Negotiation API
**Version:** v1.1.2
**Description:** The **Negotiation API** gives sellers the ability to proactively send discount offers to buyers who have shown an "interest" in their listings.  
  
By sending buyers discount offers on listings where they have shown an interest, sellers can increase the velocity of their sales.  
  
There are various ways for a buyer to show "interest" in a listing. For example, if a buyer adds the listing to their **Watch** list, or if they add the listing to their shopping cart and later abandon the cart, they are deemed to have shown an interest in the listing.  
  
In the offers that sellers send, they can discount their listings by either a percentage off the listing price, or they can set a new discounted price that is lower than the original listing price.  
  
For details about how seller offers work, see [Sending offers to buyers](/api-docs/sell/static/marketing/offers-to-buyers.html "Selling Integration Guide").
**Base Path:** /sell/negotiation/v1

## API Methods

The following API methods are available:

### findEligibleItems

#### GET /find_eligible_items
**Description:** This method evaluates a seller's current listings and returns the set of IDs that are eligible for a seller-initiated discount offer to a buyer.  
  
A listing ID is returned only when one or more buyers have shown an _interest_ in the listing.  
  
If any buyers have shown interest in a listing, the seller can initiate a _negotiation_ with them by calling **sendOfferToInterestedBuyers**, which sends all interested buyers a message that offers the listing at a discount.  
  
For details about how to create seller offers to buyers, see [Sending offers to buyers](/api-docs/sell/static/marketing/offers-to-buyers.html "Selling Integration Guide").
**Parameters:**
- **limit** (string)
  - This query parameter specifies the maximum number of items to return from the result set on a page in the paginated response.  
  
**Minimum:** 1  
  
**Maximum:** 200  
  
**Default:** 10
- **offset** (string)
  - This query parameter specifies the number of results to skip in the result set before returning the first result in the paginated response.  
  
Combine **offset** with the **limit** query parameter to control the items returned in the response. For example, if you supply an **offset** of `0` and a **limit** of `10`, the first page of the response contains the first 10 results from the complete list of items retrieved by the call. If **offset** is `10` and **limit** is `20`, the first page of the response contains items 11-30 from the complete result set.  
  
**Default:** 0
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - The eBay marketplace on which you want to search for eligible listings.  
  
The Negotiation API is supported in the following marketplaces:

*   Australia (EBAY\_AU)
*   Canada (EBAY\_CA)
*   Germany (EBAY\_DE)
*   Spain (EBAY\_ES)
*   France (EBAY\_FR)
*   Great Britain (EBAY\_GB)
*   Italy (EBAY\_IT)
*   US (EBAY\_US and EBAY\_MOTORS\_US)
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/sell.inventory`
- `https://api.ebay.com/oauth/api_scope/sell.inventory.readonly`


### sendOfferToInterestedBuyers

#### POST /send_offer_to_interested_buyers
**Description:** This method sends eligible buyers offers to purchase items in a listing at a discount.  
  
When a buyer has shown _interest_ in a listing, they become "eligible" to receive a seller-initiated offer to purchase the item(s).  
  
Sellers use **findEligibleItems** to get the set of listings that have interested buyers. If a listing has interested buyers, sellers can use this method (**sendOfferToInterestedBuyers**) to send an offer to the buyers who are interested in the listing. The offer gives buyers the ability to purchase the associated listings at a discounted price.  
  
For details about how to create seller offers to buyers, see [Sending offers to buyers](/api-docs/sell/static/marketing/offers-to-buyers.html "Selling Integration Guide").
**Parameters:**
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - The eBay marketplace on which your listings with "eligible" buyers appear.  
  
The Negotiation API is supported in the following marketplaces:

*   Australia (EBAY\_AU)
*   Canada (EBAY\_CA)
*   Germany (EBAY\_DE)
*   Spain (EBAY\_ES)
*   France (EBAY\_FR)
*   Great Britain (EBAY\_GB)
*   Italy (EBAY\_IT)
*   US (EBAY\_US and EBAY\_MOTORS\_US)
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.  
  
For more information, refer to [HTTP request headers](/api-docs/static/rest-request-components.html#HTTP).
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/sell.inventory`


## Error Codes

The following error codes may be returned by this API:

### REQUEST Errors

#### 150001 - API_NEGOTIATION
**Description:** Mandatory headers are missing.

#### 150002 - API_NEGOTIATION
**Description:** The marketplace value {marketplaceId} is not supported. The supported values are: {marketplaceIds}

#### 150003 - API_NEGOTIATION
**Description:** Invalid limit. Limit should be between {minLimit} and {maxLimit}.

#### 150004 - API_NEGOTIATION
**Description:** Invalid offset. Offset cannot be less than 0.

#### 150005 - API_NEGOTIATION
**Description:** Offer contains multiple listings {listingIds}.

#### 150006 - API_NEGOTIATION
**Description:** Request cannot be null/empty.

#### 150007 - API_NEGOTIATION
**Description:** Both offer price and discount percentage cannot be present in the request.

#### 150008 - API_NEGOTIATION
**Description:** Price must be at least {minPercentageDifference} less than your Buy It Now price.

#### 150009 - API_NEGOTIATION
**Description:** Invalid value for {fieldName}. {additionalInfo}

#### 150027 - API_NEGOTIATION
**Description:** Offer is invalid. Please specify a valid duration of {durationValue} {durationUnit}

### APPLICATION Errors

#### 150000 - API_NEGOTIATION
**Description:** Internal error. Please try the call again after a minute or two. If the error persists, contact eBay developer support for assistance.

### BUSINESS Errors

#### 150010 - API_NEGOTIATION
**Description:** Invalid message. Message cannot contain HTML or blocked words and cannot exceed maximum character limit of 2000.

#### 150011 - API_NEGOTIATION
**Description:** Invalid listingId {listingId}. The listing for this offer has ended.

#### 150012 - API_NEGOTIATION
**Description:** Invalid listingId {listingId}. No such listing for this seller.

#### 150013 - API_NEGOTIATION
**Description:** Invalid listingId {listingId}. {additionalInfo}

#### 150014 - API_NEGOTIATION
**Description:** Current available quantity for this listing {listingId} is less than the offer quantity.

#### 150015 - API_NEGOTIATION
**Description:** Invalid price for listing {listingId}. Minimum offer price of {minPrice} not met.

#### 150016 - API_NEGOTIATION
**Description:** Invalid price for listing {listingId}. Price value exceeds the listing price.

#### 150017 - API_NEGOTIATION
**Description:** Listing {listingId} does not support offer.

#### 150018 - API_NEGOTIATION
**Description:** Offer is invalid. A best offer currently exists on the listing {listingId}.

#### 150019 - API_NEGOTIATION
**Description:** Offer is invalid. Listing {listingId} currently has a seller-initiated negotiation.

#### 150020 - API_NEGOTIATION
**Description:** Listing {listingId} has no interested buyers.

#### 150021 - API_NEGOTIATION
**Description:** Seller initiating the offer is not active.

#### 150022 - API_NEGOTIATION
**Description:** Offer is invalid. Maximum allowed offer limit reached.

#### 150023 - API_NEGOTIATION
**Description:** Offer is invalid. Seller has exceeded their seller-initiated offer limit.

#### 150024 - API_NEGOTIATION
**Description:** Offer is invalid. Items are listed on different sites.

#### 150025 - API_NEGOTIATION
**Description:** Offer is invalid. {additionalInfo}

#### 150026 - API_NEGOTIATION
**Description:** Listing ID {listingId} is invalid, sellers cannot initiate an offer to a buyer for a Motors listing.

## Types

### Amount
**Description:** A complex type that describes the value of a monetary amount as represented by a global currency.
**Type:** object

**Properties:**
- **currency** (CurrencyCodeEnum)
  - The base currency applied to the **value** field to establish a monetary amount.  
  
The currency is represented as a 3-letter [ISO4217](http://www.currency-iso.org/en/home/tables/table-a1.html "www.currency-iso.org") currency code. For example, the code for the Canadian Dollar is `CAD`.  
  
**Default:** The default currency of the eBay marketplace that hosts the listing.
- **value** (string)
  - The monetary amount in the specified **currency**.  
  

**Important!** For listings on the following marketplaces, a comma (`,`) must be used as the decimal separator:  

*   France
*   Canada (French Language)
*   Germany
*   Italy
*   Spain

All other sites should use a period (`.`) as the decimal separator. If the incorrect decimal separator is used, the decimal point will be ignored.

### CreateOffersRequest
**Description:** This complex type contains the fields needed to create an offer to a buyer that is initiated by the seller.
**Type:** object

**Properties:**
- **allowCounterOffer** (boolean)
  - If set to `true`, the buyer is allowed to make a counter-offer to the seller's offer.  
  
**Note:** Currently, you must set this field to `false`; counter-offers are not supported in this release.  
**Default:** `false`
- **message** (string)
  - A seller-defined message related to the offer being made.  
  
This message is sent to the list of "interested" buyers.  
  
To increase the conversion rate of the offers a seller makes to buyers, eBay recommends you always add a customized message to your offers.  
  
**Maximum length:** 2,000 characters
- **offerDuration** (TimeDuration)
  - **Important!** The **offerDuration** value will be set automatically based on the eBay marketplace, and each marketplace has one supported value. Due to this fact, we suggest that this container no longer be used. See [Negotiation API requirements and restrictions](/api-docs/sell/negotiation/overview.html#requirements) for the **offerDuration** value for each marketplace.

  
The length of time, in days, the offer is valid from when it is created.  
  
The duration of the offer begins at the date and time the offer is sent. When the span of time specified by **offerDuration** passes beyond the **creationDate**, the offer expires.
- **offeredItems** (array)
  - An array of objects where each object contains the details of an offer and the ID of the listing on which the offer is being made.  
  
Note that the service does not currently support the creation of multiple offers with a single call to **sendOfferToInterestedBuyer**. With this, each request can target only one listing at a time and you must populate this array with a single element that contains the details of one offer.

### CurrencyCodeEnum
**Description:** This enumerated type lists the three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html  "https://www.iso.org ") code representing the supported world currencies. | - **AED**: United Arab Emirates dirham - **AFN**: Afghan afghani - **ALL**: Albanian lek - **AMD**: Armenian dram - **ANG**: Netherlands Antillean guilder - **AOA**: Angolan kwanza - **ARS**: Argentine peso - **AUD**: Australian dollar - **AWG**: Aruban florin - **AZN**: Azerbaijani manat - **BAM**: Bosnia and Herzegovina convertible mark - **BBD**: Barbados dollar - **BDT**: Bangladeshi taka - **BGN**: Bulgarian lev - **BHD**: Bahraini dinar - **BIF**: Burundian franc - **BMD**: Bermudian dollar - **BND**: Brunei dollar - **BOB**: Bolivian Boliviano - **BRL**: Brazilian real - **BSD**: Bahamian dollar - **BTN**: Bhutanese ngultrum - **BWP**: Botswana pula - **BYR**: Belarusian ruble - **BZD**: Belize dollar - **CAD**: Canadian dollar - **CDF**: Congolese franc - **CHF**: Swiss franc - **CLP**: Chilean peso - **CNY**: Chinese yuan renminbi - **COP**: Colombian peso - **CRC**: Costa Rican colon - **CUP**: Cuban peso - **CVE**: Cape Verde escudo - **CZK**: Czech koruna - **DJF**: Djiboutian franc - **DKK**: Danish krone - **DOP**: Dominican peso - **DZD**: Algerian dinar - **EGP**: Egyptian pound - **ERN**: Eritrean nakfa - **ETB**: Ethiopian birr - **EUR**: European Union euro - **FJD**: Fiji dollar - **FKP**: Falkland Islands pound - **GBP**: British pound sterling - **GEL**: Georgian lari - **GHS**: Ghanaian cedi - **GIP**: Gibraltar pound - **GMD**: Gambian dalasi - **GNF**: Guinean franc - **GTQ**: Guatemalan quetzal - **GYD**: Guyanese dollar - **HKD**: Hong Kong dollar - **HNL**: Honduran lempira - **HRK**: Croatian kuna - **HTG**: Haitian gourde - **HUF**: Hungarian forint - **IDR**: Indonesian rupiah - **ILS**: Israeli new shekel - **INR**: Indian rupee - **IQD**: Iraqi dinar - **IRR**: Iranian rial - **ISK**: Icelandic krona - **JMD**: Jamaican dollar - **JOD**: Jordanian dinar - **JPY**: Japanese yen - **KES**: Kenyan shilling - **KGS**: Kyrgyzstani som - **KHR**: Cambodian riel - **KMF**: Comoro franc - **KPW**: North Korean won - **KRW**: South Korean won - **KWD**: Kuwaiti dinar - **KYD**: Cayman Islands dollar - **KZT**: Kazakhstani tenge - **LAK**: Lao kip - **LBP**: Lebanese pound - **LKR**: Sri Lankan rupee - **LRD**: Liberian dollar - **LSL**: Lesotho loti - **LTL**: Lithuanian litas - **LYD**: Libyan dinar - **MAD**: Moroccan dirham - **MDL**: Moldovan leu - **MGA**: Malagasy ariary - **MKD**: Macedonian denar - **MMK**: Myanmar kyat - **MNT**: Mongolian tugrik - **MOP**: Macanese pataca - **MRO**: Mauritanian ouguiya - **MUR**: Mauritian rupee - **MVR**: Maldivian rufiyaa - **MWK**: Malawian kwacha - **MXN**: Mexican peso - **MYR**: Malaysian ringgit - **MZN**: Mozambican metical - **NAD**: Namibian dollar - **NGN**: Nigerian naira - **NIO**: Nicaraguan cordoba oro - **NOK**: Norwegian krone - **NPR**: Nepalese rupee - **NZD**: New Zealand dollar - **OMR**: Omani rial - **PAB**: Panamanian balboa - **PEN**: Peruvian sol - **PGK**: Papua New Guinean kina - **PHP**: Philippine peso - **PKR**: Pakistani rupee - **PLN**: Polish zloty - **PYG**: Paraguayan guarani - **QAR**: Qatari riyal - **RON**: Romanian leu - **RSD**: Serbian dinar - **RUB**: Russian ruble - **RWF**: Rwandan franc - **SAR**: Saudi riyal - **SBD**: Solomon Islands dollar - **SCR**: Seychelles rupee - **SDG**: Sudanese pound - **SEK**: Swedish krona - **SGD**: Singapore dollar - **SHP**: Saint Helena pound - **SLL**: Sierra Leonean leone - **SOS**: Somali shilling - **SRD**: Surinamese dollar - **STD**: Sao Tome and Principe dobra - **SYP**: Syrian pound - **SZL**: Swazi lilangeni - **THB**: Thai baht - **TJS**: Tajikistani somoni - **TMT**: Turkmenistani manat - **TND**: Tunisian dinar - **TOP**: Tongan pa'anga - **TRY**: Turkish lira - **TTD**: Trinidad and Tobago dollar - **TWD**: New Taiwan dollar - **TZS**: Tanzanian shilling - **UAH**: Ukrainian hryvnia - **UGX**: Ugandan shilling - **USD**: United States dollar - **UYU**: Uruguayan peso - **UZS**: Uzbekistani som - **VEF**: Venezuelan bolivar - **VND**: Vietnamese dong - **VUV**: Vanuatu vatu - **WST**: Samoan tala - **XAF**: CFA franc BEAC - **XCD**: East Caribbean dollar - **XOF**: CFA franc BCEAO - **XPF**: CFP franc - **YER**: Yemeni rial - **ZAR**: South African rand - **ZMW**: Zambian kwacha - **ZWL**: Zimbabwean dollar
**Type:** object

### EligibleItem
**Description:** A listing that is eligible for a seller-initiated offer to a buyer.  
  
Listings are identified by a **listingId** value that is generated and assigned by eBay when a seller lists an item using the Trading API.  
  
**Note:** The Negotiation API does not currently support listings that are managed with the Inventory API.
**Type:** object

**Properties:**
- **listingId** (string)
  - The unique eBay-assigned ID for an eBay listing.  
  
A **listingId** is assigned by eBay when a seller creates a listing with the Trading API.

### Offer
**Description:** A complex type that defines an offer that a seller makes to eligible buyers.
**Type:** object

**Properties:**
- **allowCounterOffer** (boolean)
  - If set to `true`, the buyer is allowed to make a counter-offer to the seller's offer.
- **buyer** (User)
  - The buyer who has been sent the offer.
- **creationDate** (string)
  - The date and time when the seller's offer was created.  
  
The returned timestamp is formatted as an [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html "https://www.iso.org") string, which is based on the 24-hour Coordinated Universal Time (UTC) clock.  
  
**Format:** `[YYYY]-[MM]-[DD]T[hh]:[mm]:[ss].[sss]Z`  
**Example:** `2018-08-20T07:09:00.000Z`
- **initiatedBy** (string)
  - The eBay **UserName** of the user (seller) who initiated the offer.  
  
**Note:** Effective September 26, 2025, select developers will no longer receive username data for U.S. users through this field. Instead, an immutable user ID will be returned in its place. For more information, please refer to [Data Handling Compliance](/api-docs/static/data-handling-update.html).
- **lastModifiedDate** (string)
  - The date and time when the offer was last modified.  
  
The returned timestamp is formatted as an [ISO 8601](http://www.iso.org/iso/home/standards/iso8601.htm) string.
- **message** (string)
  - A seller-defined message related to the offer being made. This message is sent to the list of "interested" buyers along with the offer message from eBay.
- **offerDuration** (TimeDuration)
  - The length of time that the offer is valid.  
  
The duration of the offer begins at the date and time denoted by **creationDate**. When the span of time specified by **offerDuration** passes beyond the **creationDate**, the offer expires.
- **offeredItems** (array)
  - The list of items associated with the offer.  
  
Currently, the offer list is restricted to a single offer.
- **offerId** (string)
  - A unique eBay-assigned identifier for the offer.
- **offerStatus** (OfferStatusEnum)
  - The current state, or status, of an offer.  
  
Status states include `PENDING`, `COUNTERED`, `ACCEPTED`, and `DECLINED`.
- **offerType** (OfferTypeEnum)
  - The type of offer being made.
- **revision** (string)
  - A unique, eBay-assigned ID for the revision of the offer.

### OfferStatusEnum
**Description:** The status of the offer that was extended to a buyer. | - **PENDING**: The offer is awaiting a response from the buyer. - **RETRACTED**: The offer has been RETRACTED by the seller and the offer is no longer available. - **EXPIRED**: The offer reached its deadline and is no longer available to the buyer. - **CANCELLED**: The offer has been CANCELLED by the buyer. - **COUNTERED**: The buyer has created a counter-offer for the listing. - **DECLINED**: The buyer has declined the seller's offer. - **AUTO_DECLINED**: The buyer's counter-offer has been declined because it is below the threshold amount set by the seller. - **AUTO_ACCEPTED**: The buyer's counter-offer has been accepted because it is above the threshold amount set by the seller. - **ACCEPTED**: The buyer has accepted the offer that was sent by the seller.
**Type:** object

### OfferTypeEnum
**Description:** This enum describes the types of offers that can be made in a buyer-seller discount negotiation. | - **SELLER_INITIATED_OFFER**: The offer was created by the seller and made available to a buyer.
**Type:** object

### OfferedItem
**Description:** A complex type that defines the offer being made to an "interested" buyer.
**Type:** object

**Properties:**
- **discountPercentage** (string)
  - This value denotes the percentage (as either a whole number or decimal value) that the listing in the offer will be discounted from its original listed price.  
  
The seller can specify either the exact price of the discounted items with the **price** field or they can use this field to specify the percentage that the listing will be discounted, but not both.  
  
**Minimum:** `5.0`  
  
This field is _required_ if you do not specify a **price** value.
- **listingId** (string)
  - This value is a unique eBay-assigned ID that identifies the listing to which the offer pertains.  
  
A **listingId** value is generated by eBay when you list an item with the Trading API.
- **price** (Amount)
  - This value denotes the final discounted price of the listing in the offer being made to the buyer. This value must be lower than the original price of the item as stated in the original listing.  
  
The seller can use either this field to specify the exact discounted price of the listing or they can use the **discountPercentage** field to specify the percentage that the listing will be discounted, but not both.  
  
_Required_ if you do not specify a **discountPercentage** value.
- **quantity** (integer)
  - This integer value indicates the number of items in the eBay listing for which the offer is being made.  
  
The offer being made by the seller is an "all or nothing" offer, meaning the buyer must purchase the indicated quantity of items in order to receive the discount on the transaction.  
  
**Default:** `1`

### PagedEligibleItemCollection
**Description:** This complex type defines a collection of listings that are eligible for an offer to a buyer.
**Type:** object

**Properties:**
- **eligibleItems** (array)
  - A list of items that are eligible for a seller-initiated offer to a buyer.  
  
Each element in the list contains the listing ID of a listed item. These IDs represent the listings for which buyers have shown an interest.
- **href** (string)
  - The URI of the current page of results from the result set.
- **limit** (integer)
  - The number of items returned on a single page from the result set. This value can be set in the request with the **limit** query parameter.
- **next** (string)
  - The URI for the following page of results. This value is returned only if there is an additional page of results to display from the result set.  
  
**Maximum length**: 2048
- **offset** (integer)
  - The number of results skipped in the result set before listing the first returned result. This value can be set in the request with the **offset** query parameter.

**Note:** The items in a paginated result set use a zero-based list where the first item in the list has an offset of `0`.
- **prev** (string)
  - The URI for the preceding page of results. This value is returned only if there is a previous page of results to display from the result set.  
  
**Maximum length**: 2048
- **total** (integer)
  - The total number of items retrieved in the result set.  
  
If no items match the search criteria, the server returns the HTTP status code  
`204 No Content`.

### SendOfferToInterestedBuyersCollectionResponse
**Description:** The response object returned from a **SendOfferToInterestedBuyers** request.
**Type:** object

**Properties:**
- **offers** (array)
  - The **offers** container returns a list of the offers sent to buyers who have shown an interest in listings included in the offer.

### TimeDuration
**Description:** A complex type that specifies a period of time using a specified time-measurement unit.
**Type:** object

**Properties:**
- **unit** (TimeDurationUnitEnum)
  - A time-measurement unit that specifies a singular period of time.  
  
A span of time is defined when you apply the value specified in the **value** field to the value specified for **unit**.  
  
Time-measurement units can be YEAR, MONTH, DAY, and so on. See **TimeDurationUnitEnum** for a complete list of possible time-measurement units.
- **value** (integer)
  - An integer that represents an amount of time, as measured by the time-measurement unit specified in the **unit** field.

### TimeDurationUnitEnum
**Description:** An enum value that specifies the time-measurement unit that's used to express a time span. | - **YEAR**: Time duration is based on a number of years. - **MONTH**: Time duration is based on a number of months. - **DAY**: Time duration is based on a number of days. - **HOUR**: Time duration is based on a number of hours. - **CALENDAR_DAY**: Time duration is based on a number of calendar days, including Saturday and Sunday. This time duration does not exclude holidays. - **BUSINESS_DAY**: Time duration is based on a number of business days, or 'working days' (normally Monday through Friday). This excludes Sunday and all holidays in the time duration and, depending on the location, can include or exclude Saturday. - **MINUTE**: Time duration is based on a number of minutes. - **SECOND**: Time duration is based on a number of seconds. - **MILLISECOND**: Time duration is based on a number of milliseconds.
**Type:** object

### User
**Description:** This complex type identifies an eBay user.
**Type:** object

**Properties:**
- **maskedUsername** (string)
  - The masked username is a username that has certain characters hidden for privacy of the user.  
  
**Note:** Effective September 26, 2025, select developers will no longer receive username data for U.S. users through this field. Instead, an immutable user ID will be returned in its place. For more information, please refer to [Data Handling Compliance](/api-docs/static/data-handling-update.html).

## Rate Limits

See [API Call Limits](https://developer.ebay.com/develop/get-started/api-call-limits) on the eBay Developer Program.

## Resources

### Documentation

- [eBay Developer Program](https://developer.ebay.com/)
- [API Documentation](https://developer.ebay.com/develop/api/)
- [SDKs and Widgets](https://developer.ebay.com/develop/sdks-and-widgets)
- [Developer Community Forum](https://community.ebay.com/t5/Developer-Groups/ct-p/developergroup)

### Tools

- [API Explorer](https://developer.ebay.com/my/api_test_tool)
- [GraphQL Explorer](https://developer.ebay.com/my/graphql_explorer)

### Support

- [Developer Support](https://developer.ebay.com/support/)
- [API Status](https://developer.ebay.com/support/api-status)
- [Release Notes](https://developer.ebay.com/develop/api/release_notes/)

---
*Generated on 2026-04-10T15:11:48.901Z*